import * as r from "react";
function a(e, o) {
  var n = r.useRef(0);
  n.current += 1;
  var s = r.useRef(e), u = [];
  Object.keys(e || {}).map(function(c) {
    var i;
    (e == null ? void 0 : e[c]) !== ((i = s.current) === null || i === void 0 ? void 0 : i[c]) && u.push(c);
  }), s.current = e;
  var t = r.useRef([]);
  return u.length && (t.current = u), r.useDebugValue(n.current), r.useDebugValue(t.current.join(", ")), o && console.log("".concat(o, ":"), n.current, t.current), n.current;
}
const l = process.env.NODE_ENV !== "production" ? a : function() {
};
var f = /* @__PURE__ */ r.memo(function() {
  var e = a();
  return /* @__PURE__ */ r.createElement("h1", null, "Render Times: ", e);
});
f.displayName = "RenderBlock";
export {
  f as RenderBlock,
  l as default
};
